/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __AIR_MEDIAHUB_LISTMGR_H__
#define __AIR_MEDIAHUB_LISTMGR_H__

struct listmgr;

struct play_info_data {
	bool (*draw)(void *data, Evas_Object *base);
	bool (*update)(void *data, Evas_Object *base);

	void (*key_down_cb)(void *data, Evas_Object *obj,
				Evas_Event_Key_Down *ev);
	void (*selected_cb)(void *data, Evas_Object *obj);
	void *cb_data;
};

struct listmgr_data {
	Evas_Object *menu_btn;
	Evas_Object *view_btn;

	struct play_info_data *pdata;

	struct grid_data *gdata;
};

struct listmgr *listmgr_create(Evas_Object *base, void *data);
void listmgr_destroy(struct listmgr *listmgr);

bool listmgr_draw_list_area(struct listmgr *lmgr);
bool listmgr_update_content_item(struct listmgr *lmgr);
bool listmgr_update_content_list(struct listmgr *lmgr, Eina_List *list,
			struct grid_data *gdata);
bool listmgr_update_play_info(struct listmgr *lmgr, app_media_info *info);

void listmgr_clear_content_list(struct listmgr *lmgr);

bool listmgr_focus_content_list(struct listmgr *lmgr, const char *id);
bool listmgr_focus_play_info(struct listmgr *lmgr);

void listmgr_set_focus_state(struct listmgr *lmgr, Eina_Bool state);

#endif /* __AIR_MEDIAHUB_LISTMGR_H__ */
