/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __AIR_MEDIAHUB_UTIL_H__
#define __AIR_MEDIAHUB_UTIL_H__

#include <media_content.h>
#include <app_media.h>

bool util_check_movie_type(const char *str);
bool util_launch_request(const char *appid, const char *key, const char *value);
Evas_Object *util_add_button(Evas_Object *base, const char *style,
			const char *text);
Evas_Object *util_add_box(Evas_Object *base, Eina_Bool horizontal);
Evas_Object *util_add_gengrid(Evas_Object *base, int item_size_x,
			int item_size_y, Eina_Bool horizontal);
Evas_Object *util_add_genlist(Evas_Object *base);
Evas_Object *util_add_image(Evas_Object *base, const char *file);
Evas_Object *util_add_notify(Evas_Object *base, const char *notify_style,
			const char *label_style, const char *text, double time);
Evas_Object *util_add_scroller(Evas_Object *base);
Evas_Object *util_add_table(Evas_Object *base, int padding_x, int padding_y);

void util_time_string(char *str, int size, unsigned int ms, bool full);
void util_up_string(char *str);

int util_get_media_index(Eina_List *list, void *info);
int util_get_media_index_from_id(Eina_List *list, const char *id);
app_media *util_find_media_info(Eina_List *list, const char *id);
void util_add_to_recent(Eina_List *list, int index);
void util_create_thumbnail(Evas_Object *grid, app_media *am,
			void (*completed_cb)(media_content_error_e,
			const char *, void *));

#endif /* __AIR_MEDIAHUB_UTIL_H__ */
